## python-tktooltip 3.1.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line, and also
# from the environment for the first two.
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
SPHINXAPIDOC  ?= sphinx-apidoc
PANDOC		  ?= pandoc
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

modules:
	@$(SPHINXAPIDOC) -f -H "Documentation" ../tktooltip -o .

## python-tktooltip 3.0.0

=== debian/changelog ===
python-tktooltip (3.0.0-2) unstable; urgency=medium

  * first source upload

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 28 Apr 2024 10:47:39 +0200

python-tktooltip (3.0.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1067681)

 -- Georges Khaznadar <georgesk@debian.org>  Mon, 25 Mar 2024 11:01:07 +0100

=== debian/control ===
Source: python-tktooltip
Section: python
Priority: optional
Maintainer: Georges Khaznadar <georgesk@debian.org>
Rules-Requires-Root: no
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 python3-all,
 pybuild-plugin-pyproject,
 python3-tk,
Standards-Version: 4.6.2
Homepage: https://github.com/gnikit/tkinter-tooltip
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tktooltip
Vcs-Git: https://salsa.debian.org/python-team/packages/python-tktooltip.git

Package: python3-tktooltip
Architecture: any
Multi-Arch: foreign
Depends:
 ${python3:Depends},
 ${misc:Depends},
Description: simple yet fully customisable tooltip/pop-up implementation
 Tktooltip is a simple yet fully customisable tooltip/pop-up
 implementation for tkinter widgets. It is capable of fully
 integrating with custom tkinter themes both light and dark ones.
 .
 Features
 --------
 .
  - normal tooltips
  - show tooltip with s seconds delay
  - tooltip tracks mouse cursor
  - tooltip displays strings and string returning functions
  - fully customisable, tooltip inherits underlying theme style

=== debian/rules ===
#!/usr/bin/make -f

# See debhelper(7) (uncomment to enable).
# Output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=tktooltip

%:
	dh $@ --with python3  --buildsystem=pybuild

=== debian/watch ===
version=4

# PyPI.
opts=filenamemangle=s/python-tktooltip/tkinter-tooltip/ \
https://pypi.debian.net/tkinter-tooltip/tkinter-tooltip-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## python-tktooltip 3.1.2

=== debian/changelog ===
python-tktooltip (3.1.2-1) unstable; urgency=medium

  * New upstream version 3.1.2
  * Satisfied a few lintian's requirements:
    + documented the removal of tkinter_tooltip.egg-info/ from the source
      package in d/README.source
    + removed files debian/manpage.1.ex debian/manpage.md.ex
      debian/manpage.sgml.ex debian/manpage.xml.ex debian/postinst.ex
      debian/postrm.ex debian/preinst.ex debian/prerm.ex
      debian/python-tktooltip.cron.d.ex debian/python-tktooltip.doc-base.ex
    + created debian/salsa-ci.yml based on debian/salsa-ci.yml.ex which is
      removed.
  * Added an explicit dependency on python3-tk

 -- Georges Khaznadar <georgesk@debian.org>  Fri, 14 Feb 2025 10:04:14 +0100

python-tktooltip (3.0.0-4) unstable; urgency=medium

  * Team upload.
  * Fix d/watch for new PyPi archive naming policy (Closes: #1090745)
  * Use dh-sequence-python3

 -- Alexandre Detiste <tchet@debian.org>  Tue, 11 Feb 2025 22:55:59 +0100

python-tktooltip (3.0.0-3) unstable; urgency=medium

  * new build-dependency: python3-setuptools. Closes: #1080882

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Sep 2024 17:10:47 +0200

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Rules-Requires-Root: no
 Build-Depends:
  debhelper-compat (= 13),
- dh-python,
+ dh-sequence-python3,
  python3-all,
  pybuild-plugin-pyproject,
  python3-tk,
+ python3-setuptools,
 Standards-Version: 4.6.2
 Homepage: https://github.com/gnikit/tkinter-tooltip
 Vcs-Browser: https://salsa.debian.org/python-team/packages/python-tktooltip
@@ -19,6 +20,7 @@
 Multi-Arch: foreign
 Depends:
  ${python3:Depends},
+ python3-tk,
  ${misc:Depends},
 Description: simple yet fully customisable tooltip/pop-up implementation
  Tktooltip is a simple yet fully customisable tooltip/pop-up

=== debian/rules ===
--- 
+++ 
@@ -7,5 +7,5 @@
 export PYBUILD_NAME=tktooltip
 
 %:
-	dh $@ --with python3  --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild

=== debian/watch ===
version=4

# PyPI.
opts=filenamemangle=s/python-tktooltip/tkinter-tooltip/ \
https://pypi.debian.net/tkinter-tooltip/tkinter_tooltip-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
